<?php
function construx_customize_register( $wp_customize ) {
	
if ( ! function_exists( 'construx_sanitize_checkbox' ) ) :


    function construx_sanitize_checkbox( $checked ) {

        return ( ( isset( $checked ) && true === $checked ) ? true : false );

    }

endif;


    if ( !function_exists('construx_sanitize_select') ) :
        function construx_sanitize_select( $input, $setting ) {

            // Ensure input is a slug.
            $input = sanitize_text_field( $input );

            // Get list of choices from the control associated with the setting.
            $choices = $setting->manager->get_control( $setting->id )->choices;

                // If the input is a valid key, return it; otherwise, return the default.
            return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
        }
    endif;


    if ( !function_exists('construx_column_layout_sanitize_select') ) :
        function construx_column_layout_sanitize_select( $input, $setting ) {

            // Ensure input is a slug.
            $input = sanitize_text_field( $input );

            // Get list of choices from the control associated with the setting.
            $choices = $setting->manager->get_control( $setting->id )->choices;

            // If the input is a valid key, return it; otherwise, return the default.
            return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
        }
    endif;
    
    function construx_sanitize_dropdown_pages( $page_id, $setting ) {
        // Ensure $input is an absolute integer.
        $page_id = absint( $page_id );
    
        // If $page_id is an ID of a published page, return it; otherwise, return the default.
        return ( 'publish' == get_post_status( $page_id ) ? $page_id : $setting->default );
    }


	
    /** Front Page Section Settings starts **/	

    $wp_customize->add_panel('frontpage', 
        array(
            'title'       => esc_html__('Construx Options', 'construx'),        
		    'description' => '',                                        
		     'priority'   => 3,
        )
    );
	

    /** Header Section Settings Start **/

 $wp_customize->add_section('construx_header_info', array(
      'title'   => __('Home header', 'construx'),
      'description' => '',
      'panel' => 'frontpage',
      'priority'    => 110
    ));
  
  $wp_customize->add_setting('construx_show_header_section',
    array(
        'default'           => false,
        'sanitize_callback' => 'construx_sanitize_checkbox'
    )
);
$wp_customize->add_control('construx_show_header_section',
    array(
        'label'    => esc_html__('Enable Homepage header Section', 'construx'),
        'section'  => 'construx_header_info',
        'type'     => 'checkbox',
        'priority' => 10,

    )
);


$wp_customize->add_setting(
'contrux_header_social_link_1',
array(

    'default'=>'',
    'type'=>'theme_mod',
    'sanitize_callback'=> 'esc_url_raw'


)
);

$wp_customize->add_control(
'contrux_header_social_link_1',
array(

'label'=>esc_html__('facebook url','construx'),
'section'=>'construx_header_info',
'priority'=>11
)
);

  
$wp_customize->add_setting(
'contrux_header_social_link_2',
array(

    'default'=>'',
    'type'=>'theme_mod',
    'sanitize_callback'=> 'esc_url_raw'


)
);

$wp_customize->add_control(
'contrux_header_social_link_2',
array(

'label'=>esc_html__('instagram url','construx'),
'section'=>'construx_header_info',
'priority'=>11
)
);

$wp_customize->add_setting(
'contrux_header_social_link_3',
array(

    'default'=>'',
    'type'=>'theme_mod',
    'sanitize_callback'=> 'esc_url_raw'


)
);

$wp_customize->add_control(
'contrux_header_social_link_3',
array(

'label'=>esc_html__('twitter url','construx'),
'section'=>'construx_header_info',
'priority'=>11
)
);

$wp_customize->add_setting(
'contrux_header_social_link_4',
array(

    'default'=>'',
    'type'=>'theme_mod',
    'sanitize_callback'=> 'esc_url_raw'


)
);



$wp_customize->add_control(
'contrux_header_social_link_4',
array(

'label'=>esc_html__('Google+ url','construx'),
'section'=>'construx_header_info',
'priority'=>11
)
);


//slider

 $wp_customize->add_section('construx_image_info', array(
      'title'   => __('Home Banner section', 'construx'),
      'description' => '',
      'panel' => 'frontpage',
      'priority'    => 120
    ));
    
 $wp_customize->add_setting('construx_show_banner_section',
    array(
        'default'           => false,
        'sanitize_callback' => 'construx_sanitize_checkbox'
    )
);
$wp_customize->add_control('construx_show_banner_section',
    array(
        'label'    => esc_html__('Enable Homepage search Section', 'construx'),
        'section'  => 'construx_image_info',
        'type'     => 'checkbox',
        'priority' => 1,

    )
);
    
 $construx_banner_no = 1;
        for( $i = 1; $i <= $construx_banner_no; $i++ ) {
            $construx_bannerepage = 'construx_banner_page_' . $i;
        
   $wp_customize->add_setting( $construx_bannerepage,
        array(
            'default'           => 1,
            'sanitize_callback' => 'construx_sanitize_dropdown_pages',
        )
    );

    $wp_customize->add_control( $construx_bannerepage,
        array(
            'label'        => esc_html__( 'Banner ', 'construx' ) .$i,
            'section'      => 'construx_image_info',
            'type'         => 'dropdown-pages',
            'priority'     => 2,
        )
    );
    }
   
    
    $wp_customize->add_setting('construx_image_subheading', array(
     'default'   => '',
      'type'      => 'theme_mod',
      'sanitize_callback'   => 'sanitize_text_field'
    ));

    $wp_customize->add_control('construx_image_subheading', array(
      'label'   => __('Top Heading', 'construx'),
      'section' => 'construx_image_info',
      'priority'  => 4
    ));  

    
    $wp_customize->add_setting('construx_image_start', array(
      'default'   =>'',
      'type'      => 'theme_mod',
      'sanitize_callback'   => 'sanitize_text_field'
    ));

    $wp_customize->add_control('construx_image_start', array(
      'label'   => __('Button-Text', 'construx'),
      'section' => 'construx_image_info',
      'priority'  => 7
    ));
    
    $wp_customize->add_setting('construx_image_start_url', array(
     'default'   =>  '',
      'type'      => 'theme_mod',
    'sanitize_callback' => 'esc_url_raw'
    ));

    $wp_customize->add_control('construx_image_start_url', array(
      'label'   => __('Button-URL', 'construx'),
      'section' => 'construx_image_info',
      'priority'  => 8
    )); 

//service
$wp_customize->add_section('constux_services',              
        array(
            'title'       => esc_html__('Home Service Section', 'construx'),          
            'description' => '',             
            'panel'       => 'frontpage',      
            'priority'    => 140,
        )
    );
    
  $wp_customize->add_setting('construx_show_service_section',
    array(
        'default'           => false,
        'sanitize_callback' => 'construx_sanitize_checkbox'
    )
);
$wp_customize->add_control('construx_show_service_section',
    array(
        'label'    => esc_html__('Enable Homepage Service Section', 'construx'),
        'section'  => 'constux_services',
        'type'     => 'checkbox',
        'priority' => 1,

    )
);


    // Services title
    $wp_customize->add_setting('construx_services_title', 
        array(
            'default'           => '',
            'type'              => 'theme_mod',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );


    $wp_customize->add_control('construx_services_title',
        array(
           'label'    => esc_html__('service Title', 'construx'),
           'section'  => 'constux_services',
           'priority' => 1
        )
    );

  
    $wp_customize->add_setting('construx_services_subtitle',
        array(
            'default'           => '',
            'type'              => 'theme_mod',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );


    $wp_customize->add_control('construx_services_subtitle', 
        array(
           'label'    => esc_html__('service description', 'construx'),
           'section'  => 'constux_services', 
           'priority' => 4
        )
    );


    // Services 
   
    $service_no = 6;
        for( $i = 1; $i <= $service_no; $i++ ) {
            $construx_servicepage = 'construx_service_page_' . $i;
            $construx_serviceicon = 'construx_page_service_icon_' . $i;
        
    // Setting - Feature Icon
    $wp_customize->add_setting( $construx_serviceicon,
        array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );

    $wp_customize->add_control( $construx_serviceicon,
        array(
            'label'         => esc_html__( 'Service Icon ', 'construx' ).$i,
            'description'   =>  __('Select a icon in this list <a target="_blank" href="https://fontawesome.com/v4.7.0/icons/">Font Awesome icons</a> and enter the class name','construx'),
            'section'       => 'constux_services',
            'type'          => 'text',
            'priority'      => 100,
        )
    );
        
    $wp_customize->add_setting( $construx_servicepage,
        array(
            'default'           => 1,
            'sanitize_callback' => 'construx_sanitize_dropdown_pages',
        )
    );

    $wp_customize->add_control( $construx_servicepage,
        array(
            'label'        => esc_html__( 'Service Page ', 'construx' ) .$i,
            'section'      => 'constux_services',
            'type'         => 'dropdown-pages',
            'priority'     => 100,
        )
    );
    }

    $wp_customize->add_section('construx_about_info', array(
      'title'   => __('Home About Us', 'construx'),
      'description' => '',
    'panel' => 'frontpage',
      'priority'    => 153
    ));
  
  $wp_customize->add_setting('construx_show_about_section',
    array(
        'default'           => false,
        'sanitize_callback' => 'construx_sanitize_checkbox'
    )
);
$wp_customize->add_control('construx_show_about_section',
    array(
        'label'    => esc_html__('Enable Homepage About Section', 'construx'),
        'section'  => 'construx_about_info',
        'type'     => 'checkbox',
        'priority' => 1,

    )
);
  
  $about_no = 1;
  for( $i = 1; $i <= $about_no; $i++ ) {
  $construx_about_page = 'construx_about_page_' . $i; 
    $wp_customize->add_setting( $construx_about_page,
      array(
        'default'           => 1,
        'sanitize_callback' => 'construx_sanitize_dropdown_pages',
      )
    );

    $wp_customize->add_control( $construx_about_page,
      array(
        'label'         => esc_html__( 'About Page ', 'construx' ).$i,
        'section'       => 'construx_about_info',
        'type'          => 'dropdown-pages',
        'priority'      => 4,
      )
    );
  
  }
 

$wp_customize->add_section('construx_blog_info', 
        array(
            'title'       => esc_html__('Home Blog Section', 'construx'),
            'description' => '',
            'panel'       => 'frontpage',
            'priority'    => 160
        )
     );
    
  $wp_customize->add_setting('construx_show_blog_section',
    array(
        'default'           => false,
        'sanitize_callback' => 'construx_sanitize_checkbox'
    )
);
$wp_customize->add_control('construx_show_blog_section',
    array(
        'label'    => esc_html__('Enable Homepage Blog Section', 'construx'),
        'section'  => 'construx_blog_info',
        'type'     => 'checkbox',
        'priority' => 1,

    )
);
    
    $wp_customize->add_setting('construx_blog_title', 
         array(
            'default'            => '',
            'type'               => 'theme_mod',
            'sanitize_callback'  => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control('construx_blog_title', 
        array(
            'label'    => esc_html__('Blog Title', 'construx'),
            'section'  => 'construx_blog_info',
            'priority' => 1
        )
    );
    
    $wp_customize->add_setting('construx_blog_subtitle', 
        array(
            'default'             => '',
            'type'                => 'theme_mod',
            'sanitize_callback'   => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control('construx_blog_subtitle', 
        array(
            'label'    => esc_html__('Blog Subheading', 'construx'),
            'section'  => 'construx_blog_info', 
            'priority' => 4
        )
    );
$wp_customize->add_section(
        'construx_footer_contact', 
        array(
            'title'   => esc_html__('Callout Section', 'construx'),
            'description' => '',
            'panel' => 'frontpage',
            'priority'    => 170
        )
    );
    
  $wp_customize->add_setting('construx_show_callout_section',
    array(
        'default'           => false,
        'sanitize_callback' => 'construx_sanitize_checkbox'
    )
);
$wp_customize->add_control('construx_show_callout_section',
    array(
        'label'    => esc_html__('Enable Homepage Callout Section', 'construx'),
        'section'  => 'construx_footer_contact',
        'type'     => 'checkbox',
        'priority' => 1,

    )
);

    $wp_customize->add_setting(
        'construx_ctah_heading', 
        array(
            'default'   => '',
            'type'      => 'theme_mod',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control(
        'construx_ctah_heading', 
        array(
            'label'   => esc_html__('Callout Heading Text', 'construx'),
            'section' => 'construx_footer_contact',
            'priority'  => 8
        )
    );

    $wp_customize->add_setting(
        'construx_ctah_subheading', 
        array(
            'default'   => '',
            'type'      => 'theme_mod',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control(
        'construx_ctah_subheading', 
        array(
            'label'   => esc_html__('Callout sub heading text', 'construx'),
            'section' => 'construx_footer_contact',
            'priority'  => 9
        )
    );


    $wp_customize->add_setting(
        'construx_ctah_btn_url', 
        array(
            'default'   =>'',
            'type'      => 'theme_mod',
            'sanitize_callback' => 'esc_url_raw'
        )
    );

    $wp_customize->add_control(
        'construx_ctah_btn_url', 
        array(
            'label'   => esc_html__('Button URL', 'construx'),
            'section' => 'construx_footer_contact',
            'priority'  => 10
        )
    );

    $wp_customize->add_setting(
        'construx_ctah_btn_text', 
        array(
            'default'   => '',
            'type'      => 'theme_mod',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control(
        'construx_ctah_btn_text', 
        array(
            'label'   => esc_html__('Button Text', 'construx'),
            'section' => 'construx_footer_contact',
            'priority'  => 12
        )
    );


     $wp_customize->add_section('construx_footer',
        array(
            'title'       => esc_html__('Footer Section', 'construx'),
            'description' => '',
            'panel' => 'frontpage',
            'priority'    => 180
        )
    );
  $wp_customize->add_setting('construx_show_footer_section',
    array(
        'default'           => false,
        'sanitize_callback' => 'construx_sanitize_checkbox'
    )
);
$wp_customize->add_control('construx_show_footer_section',
    array(
        'label'    => esc_html__('Enable Footer Section', 'construx'),
        'section'  => 'construx_footer',
        'type'     => 'checkbox',
        'priority' => 1,

    )
);
    $wp_customize->add_setting('construx_footer_text',
        array(
            'default'             => '',
            'type'                => 'theme_mod',
            'sanitize_callback'   => 'wp_kses_post'
        )
    );
    $wp_customize->add_control('construx_footer_text',
        array(
            'label'    => esc_html__('Copyright', 'construx'),
            'section'  => 'construx_footer',
            'type'     => 'textarea',
            'priority' => 2
        )
    ); 
    
}
add_action( 'customize_register', 'construx_customize_register' );